Description: workaround for multilib on i486-pc-linux-gnu or sparc-unknown-linux-gnu
Author: NIIBE Yutaka <gniibe@fsij.org>
Reviewed-By: NIIBE Yutaka <gniibe@fsij.org>
Last-Update: 2010-04-07

--- gauche-c-wrapper-0.6.1.orig/configure.ac	2009-08-08 23:44:52.000000000 +0900
+++ gauche-c-wrapper-0.6.1/configure.ac	2010-04-02 13:48:58.000000000 +0900
@@ -86,6 +86,12 @@
 	    enable_objc="yes"
 	fi	
         ;;
+    i?86-*-linux*|sparc*-*-linux*)
+        CPPFLAGS="$CPPFLAGS -D_GNU_SOURCE"
+        if test "X$LDCONFIG" != "X" -a "X$SED" != "X"; then
+            LDCONFIG_CMD="$LDCONFIG -p | $SED -n -e '/lib64/n' -e '/^	/s/^.*=> //p'"
+        fi
+        ;;
     *linux*)
         CPPFLAGS="$CPPFLAGS -D_GNU_SOURCE"
         if test "X$LDCONFIG" != "X" -a "X$SED" != "X"; then
